## 安装
```
npm install itheima-tools-gjl

```
## 导入
```js
const itheima = require('itheima-tools-gjl')

```

## 格式化时间
```js
// 调用 dateFormat 对时间进行格式化
const dtStr = itheima.dateFormat(new Date())
// 结果 2022-03-06 17:56:26
console.log(dtStr);
```

## 转义HTML中的特殊字符
```js
// 带转换的 HTML 字符串
const htmlStr = '<h1 title="abc">这是h1标签<span>123&nbsp</span></h1>'
// 调用 htmlEscape 方法进行转换
const str = itheima.htmlEscape(htmlStr) 
// 结果 &lt;h1 title="abc"&gt;这是h1标签&lt;span&gt;123&amp;nbsp&lt;/span&gt;&lt;/h1&gt;
console.log(str);
```

## 还原HTML中的特殊字符
```js
// 带还原的 HTML 字符串
const str2 = itheima.htmlUnEscape(str) // 还原字符串
// 输出的结果 <h1 title="abc">这是h1标签<span>123&nbsp</span></h1>
console.log(str2);
```

## 开源协议
ISC
